<?php
namespace Modules\Fournisseur\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class GestionShortList
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function gestionShortList(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function suppressionShortList(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function creationShortList(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function modificationShortList(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function exportShortList(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function importFournisseurShortList(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxImportFournisseurShortList(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function recapImport(): bool
    {
        return true;
    }
}
